$(document).ready(function () {
    
    // Realizar la solicitud AJAX para verificar si existe sesión de eliminación
    $.ajax({
        type: "GET",
        url: "../../Controlador/Utilidades/Notifi_Eliminar_Abastecimiento.php",
        dataType: "json",

        success: function(response) {

            if (response.hasOwnProperty('abastecimiento_id')) {
                
                // Acceder al dato recibido (por ejemplo, un ID o código)
                var idAbastecimiento = response.abastecimiento_id;

                // Mostrar SweetAlert
                Swal.fire({
                    title: 'Abastecimiento ID: ' + idAbastecimiento,
                    text: '¡Eliminado Correctamente!',
                    icon: 'success',
                    showConfirmButton: false,
                    timer: 1800
                });

                console.log("Abastecimiento ID: " + idAbastecimiento + " eliminado correctamente.");

                // Ahora, eliminar la variable de sesión
                $.ajax({
                    type: "GET",
                    url: "../../Controlador/Utilidades/POST_Eliminar_AbastecimientoID.php",
                    dataType: "json",

                    success: function(response) {

                        if (response.hasOwnProperty('abastecimiento_delate')) {
                            var mensaje = response.abastecimiento_delate;
                            console.log("-> Mensaje:", mensaje);
                        } else {
                            var error = response.error;
                            console.log("-> Mensaje de error:", error);
                        }

                    },
                    error: function(xhr, status, error) {
                        console.error("-> AJAX(POST_Eliminar_AbastecimientoID.php):", error);
                    }
                });

            } else if (response.hasOwnProperty('error')) {
                console.log("-> Mensaje de Notifi_Eliminar_Abastecimiento.php:", response.error);
            } else {
                console.warn("Respuesta inesperada del servidor:", response);
            }
        },

        error: function(xhr, status, error) {
            Swal.fire({
                title: 'Error',
                text: 'Hubo un error al obtener la sesión de eliminación. Intenta de nuevo más tarde.',
                icon: 'error',
                showConfirmButton: true
            });

            console.error("-> AJAX(Notifi_Eliminar_Abastecimiento.php):", error);
        }
    });
});
